<template>
  <b-container>
    <Header/>
    <b-row>
      <b-col>
        <p>Ship Data</p>
      </b-col>
      <b-col md="3" offset-sm="3">
        <b-button size="sm" variant="primary" v-b-modal.addShip>Add</b-button>
      </b-col>
    </b-row>
    <b-row>
        <b-col>
          <b-table striped hover bordered show-empty :items="items" :fields="fields">
            <template slot-scope="row">
              <!-- <b-form-checkbox v-model="row.item.Action">false</b-form-checkbox> -->
              <b-btn size="sm" @click.stop="details(row.item,row.index,$event.target)">Details</b-btn>
            </template>
          </b-table>
        </b-col>
    </b-row>

    <b-modal id="addShip" title="Add New Ship" ok-title="Save" cancel-variant="danger">
      <b-form>
        <b-card no-body>
          <b-tabs>
            <b-tab title="Owner">
              <label class="sr-only" for="noOrder">Nomor Order</label>
              <b-input id="noOrder" type="text" placeholder="Nomor Order"></b-input>
              <label class="sr-only" for="shipName">Nama Kapal</label>
              <b-input id="shipName" type="text" placeholder="Nama Kapal"></b-input>
              <label class="sr-only" for="shipOwner">Pemilik Kapal</label>
              <b-input id="shipOwner" type="text" placeholder="Pemilik Kapal"></b-input>
              <label class="sr-only" for="productionYear">Tahun Pembuatan</label>
              <b-input id="productionYear" type="number" placeholder="Tahun Pembuatan"></b-input>
            </b-tab>
            <b-tab title="Generic">
              <label class="sr-only" for="shipClass">Klass</label>
              <b-input id="shipClass" type="text" placeholder="Klass"></b-input>
              <label class="sr-only" for="shipConstruct">Konstruksi Kapal</label>
              <b-input id="shipConstruct" type="text" placeholder="Konstruksi Kapal"></b-input>
              <label class="sr-only" for="shipType">Jenis/Tipe Kapal</label>
              <b-input id="shipType" type="text" placeholder="Jenis/Tipe Kapal"></b-input>
              <label class="sr-only" for="shipgrt">GRT/NRT</label>
              <b-input id="shipgrt" type="text" placeholder="GRT/NRT"></b-input>
              <label class="sr-only" for="operationArea">Wilayah Operasi</label>
              <b-input id="operationArea" type="text" placeholder="Wilayah Operasi"></b-input>
              <label class="sr-only" for="surveyType">Jenis Survey</label>
              <b-input id="surveyType" type="text" placeholder="Jenis Survey"></b-input>
            </b-tab>
            <b-tab title="Size">
              <label class="sr-only" for="shipLength">Panjang Seluruh (L.O.A)</label>
              <b-input-group>
                <b-form-input id="shipLength" type="number" placeholder="Panjang Seluruh (L.O.A)"></b-form-input>
                <b-input-group-addon>meter</b-input-group-addon>
              </b-input-group>
              <label class="sr-only" for="shipLineLength">Panjang Garis Antara (L.B.P)</label>
              <b-input-group>
                <b-form-input id="shipLineLength" type="number" placeholder="Panjang Garis Antara (L.B.P)"></b-form-input>
                <b-input-group-addon>meter</b-input-group-addon>
              </b-input-group>
              <label class="sr-only" for="shipWidth">Lebar (B)</label>
              <b-input-group>
                <b-form-input id="shipWidth" type="number" placeholder="Lebar (B)"></b-form-input>
                <b-input-group-addon>meter</b-input-group-addon>
              </b-input-group>
              <label class="sr-only" for="shipInLine">Dalam Garis Muat (D)</label>
              <b-input-group>
                <b-form-input  id="shipInLine" type="number" placeholder="Dalam Garis Muat (D)"></b-form-input>
                <b-input-group-addon>meter</b-input-group-addon>
              </b-input-group>
              <label class="sr-only" for="shipDraught">Draught (d) max</label>
              <b-input-group>
                <b-form-input id="shipDraught" type="number" placeholder="Draught (d) max"></b-form-input>
                <b-input-group-addon>meter</b-input-group-addon>
              </b-input-group>
              <label class="sr-only" for="shipMainEngine">Main Engine</label>
              <b-input-group>
                <b-form-input id="shipMainEngine" type="number" placeholder="Main Engine"></b-form-input>
                <b-input-group-addon>HP</b-input-group-addon>
              </b-input-group>
              <label class="sr-only" for="shipAuxEngine">Auxiliary Engine</label>
              <b-input-group>
                <b-form-input id="shipAuxEngine" type="number" placeholder="Auxiliary Engine"></b-form-input>  
                <b-input-group-addon>HP</b-input-group-addon>              
              </b-input-group>
              <label class="sr-only" for="shipDockingPeriod">Periode Docking</label>
              <b-input id="shipDockingPeriod" type="text" placeholder="Periode Docking"></b-input>
              <label class="sr-only" for="shipInDocking">Naik Dock</label>
              <b-input id="shipInDocking" type="text" placeholder="Naik Dock"></b-input>
              <label class="sr-only" for="shipOutDocking">Jenis Survey</label>
              <b-input id="shipOutDocking" type="text" placeholder="Turun Dock"></b-input>
            </b-tab>
          </b-tabs>
        </b-card>
      </b-form>
    </b-modal>
  </b-container>
  
</template>

<script>
import Header from '../shared/Header.vue'

const items = [
  {No: 1, ship_name: 'Avengers Ship', owner: 'Avenger Team', class: 'Warship', Action: false},
  {No: 2, ship_name: 'Faering', owner: 'Vikings', class: 'Rowboat', Action: false},
  {No: 3, ship_name: 'Knarr', owner: 'Norse', class: 'Voyages', Action: false},
  {No: 4, ship_name: 'Longship', owner: 'Vikings', class: 'Tradeship', Action: false},
  {No: 5, ship_name: 'Karve', owner: 'Vikings', class: 'Transport', Action: false}
]

export default {
  data () {
    return {
      fields: {
        ship_name: {label: 'Ship Name'},
        owner: {label: 'Owner'},
        class: {label: 'Ship Class'},
        action: {label: 'Action'}
      },
      items: items
    }
  },
  components: {
    Header
  }
}
</script>

<style scoped>

</style>
